> ## Documentation Index
> Fetch the complete documentation index at: https://psxdata.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sector Stocks



## OpenAPI

````yaml /openapi.json get /sectors/{name}/stocks
openapi: 3.1.0
info:
  title: psxdata
  version: 0.1.0
servers:
  - url: https://psxdata-api.fastapicloud.dev
security: []
paths:
  /sectors/{name}/stocks:
    get:
      tags:
        - sectors
      summary: Get Sector Stocks
      operationId: get_sector_stocks_sectors__name__stocks_get
      parameters:
        - name: name
          in: path
          required: true
          schema:
            type: string
            title: Name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StringListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    StringListResponse:
      properties:
        data:
          items:
            type: string
          type: array
          title: Data
        meta:
          $ref: '#/components/schemas/MetaList'
      type: object
      required:
        - data
        - meta
      title: StringListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MetaList:
      properties:
        timestamp:
          type: string
          title: Timestamp
        cached:
          type: boolean
          title: Cached
        count:
          type: integer
          title: Count
      type: object
      required:
        - timestamp
        - cached
        - count
      title: MetaList
      description: Metadata block for list responses. Always includes count.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````